# Apache Tomcat 6.0

Version 6.0.36, Oct 16 2012

Links

- Docs Home
- Config Ref. Home

Top Level Elements

- Server
- Service

Executors

- Executor

Connectors

- HTTP
- AJP

Containers

- Context
- Engine
- Host
- Cluster

Nested Components

- Global Resources
- Listeners
- Loader
- Manager
- Realm
- Resources
- Valve

Cluster Elements

- Cluster
- Manager
- Channel
- Channel/Membership
- Channel/Sender
- Channel/Receiver
- Channel/Interceptor
- Valve
- Deployer
- ClusterListener

Other

- Filter
- System properties

# Apache Tomcat Configuration Reference

## The ClusterListener object

Table of Contents

> - Introduction
> - org.apache.catalina.ha.session.ClusterSessionListener
> - org.apache.catalina.ha.session.JvmRouteSessionIDBinderListener
> - Attributes
>   1. Common Attributes

Introduction

> The `org.apache.catalina.ha.ClusterListener` base class lets you listen in on messages that are received by the `Cluster` component.

org.apache.catalina.ha.session.ClusterSessionListener

> When using the DeltaManager, the messages are received by the Cluster object and are propagated to the to the manager through this listener.

org.apache.catalina.ha.session.JvmRouteSessionIDBinderListener

> Listens for session Id changes. This listener is only used if you are using mod_jk along with the `jvmRoute` attribute where the session Id can change. In the event of a change, the `JvmRouteBinderValve` will broadcast the session change and it will get picked up by this listener.

Attributes

> Common Attributes

> > Attribute | Description
> > --- | ---
> > `className` |

Copyright © 1999-2012, Apache Software Foundation